## Uses of Interface
com.ihr.xbrl.om.XBRLDTSDocument

- Packages that use XBRLDTSDocument
  Package | Description
  --- | ---
  com.ihr.xbrl.om | Provides the classes necessary to start processing XBRL information.
  com.ihr.xbrl.om.errors | Provides the classes necessary to produce and process XBRL related errors There are two error categories.
  com.ihr.xbrl.om.exLinks | Provides the classes necessary to process, read and write XBRL Linkbases and XBRL Extended links.
  com.ihr.xbrl.om.instance | Provides the classes necessary to process, read and write the content of XBRL Instance documents.
  com.ihr.xbrl.om.taxonomy | Provides the classes necessary to process, write and read XBRL Taxonomy schemas and content of the XBRL Taxonomy Schemas that requires XBRL processing.

- - ### Uses of XBRLDTSDocument in com.ihr.xbrl.om

    Classes in com.ihr.xbrl.om that implement XBRLDTSDocument
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLDocument` Contains the Properties of the object 2.2.2 XBRL Document Information Item The [Document URI] property is provided by the parent class XMLDocumentURI The [Document Information Item] property is provided by the root class XMLFragment The [Additional Properties] Properties are provided by classes derived by extension of this class
    `class` | `XMLDocumentURI` This class represents an XML Document that exist in a DTS.

    Methods in com.ihr.xbrl.om with parameters of type XBRLDTSDocument
    Modifier and Type | Method and Description
    --- | ---
    `void` | DTSContainer.`addDocumentToDTS(XBRLDTSDocument d)` Adds a document to the DTS container objects.
    `static XMLDocumentURI` | XBRLDocument.`createDocument(DTSContainer dts, java.net.URI baseURI, java.net.URI theURI, javax.xml.transform.Source source, boolean addToCache, XBRLDTSDocument parent)` Creates a Document, (instance, taxonomy or linkbase) by accessing the root element and looking at the document type if the document is not a linkbase, schema or xbrl instance returns null.
    `void` | DTSContainer.`delDocumentFromDTS(XBRLDTSDocument d)` Del document from dts.
    `void` | XMLDocumentURI.`discoverDTS(XBRLDTSDocument parent)`
    `void` | XBRLDTSDocument.`discoverDTS(XBRLDTSDocument parent)` Fires the rules of DTS Discovery for this object.
    `abstract void` | XBRLDocument.`discoverDTS(XBRLDTSDocument parent)` All derived classes MUST implement this method and provide the functionality according to section 3.2 of the XBRL 2.1 specification
    `boolean` | DTSContainer.`isDocumentInDTS(XBRLDTSDocument d)` Search the different DTS document containers and try to find the document in the cache.

    Constructors in com.ihr.xbrl.om with parameters of type XBRLDTSDocument
    Constructor and Description
    `XMLDocumentURI(DTSContainer dts, java.net.URI baseURI, java.net.URI theURI, javax.xml.transform.Source source, boolean bAddToCache, XBRLDTSDocument parent)` Create a DocumentURI from the cache or reading it from the supplied URI if it is not in the cache.

  - ### Uses of XBRLDTSDocument in com.ihr.xbrl.om.errors

    Constructors in com.ihr.xbrl.om.errors with parameters of type XBRLDTSDocument
    Constructor and Description
    `DTSDiscoveryException(int subCode, java.lang.Throwable cause, XBRLDTSDocument parent, java.lang.String where)` Instantiates a new DTS discovery exception.
    `DTSDiscoveryException(int subCode, java.lang.Throwable cause, XBRLDTSDocument parent, java.net.URI docUri, int line, int col)` Instantiates a new DTS discovery exception.

  - ### Uses of XBRLDTSDocument in com.ihr.xbrl.om.exLinks

    Classes in com.ihr.xbrl.om.exLinks that implement XBRLDTSDocument
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CalculationLinkbase` The Class CalculationLinkbase.
    `class` | `DefinitionLinkbase` The Class DefinitionLinkbase.
    `class` | `FootnoteLinkbase` The Class FootnoteLinkbase.
    `class` | `FormulaLinkbase` The Class FormulaLinkbase.
    `class` | `GenericLinkbase` The Class GenericLinkbase.
    `class` | `LabelLinkbase` The Class LabelLinkbase.
    `class` | `OtherLinkbase` The OtherLinkbase object fits in linkbases that are out of the scope of written specifications but are right because they agree with the In previous versions of the API the Generic Linkbase was created for Generic and Other linkbase types.
    `class` | `PresentationLinkbase` The Class PresentationLinkbase.
    `class` | `ReferenceLinkbase` The Class ReferenceLinkbase.
    `class` | `VersionLinkbase` Deprecated. this is a very old class that is no longer used in the system. Versioning information is not going to be stored in a linkbase anymore
    `class` | `XBRLExtendedLink` The Class XBRLExtendedLink.
    `class` | `XBRLLinkbase` Provides the properties of the XBRL Linkbase information item The [Parent] property is the parent class XBRLDocument An XBRL Linkbase is just the container of documentation and extended links.

    Methods in com.ihr.xbrl.om.exLinks with parameters of type XBRLDTSDocument
    Modifier and Type | Method and Description
    --- | ---
    `void` | XBRLLinkbase.`discoverDTS(XBRLDTSDocument parent)`
    `void` | XBRLExtendedLink.`discoverDTS(XBRLDTSDocument parent)`

  - ### Uses of XBRLDTSDocument in com.ihr.xbrl.om.instance

    Classes in com.ihr.xbrl.om.instance that implement XBRLDTSDocument
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLInstance` Class that encapsulates the content of an XBRL instance document Instance documents can be created via API calls or can be created from the content of an XML file.

    Methods in com.ihr.xbrl.om.instance with parameters of type XBRLDTSDocument
    Modifier and Type | Method and Description
    --- | ---
    `void` | XBRLInstance.`discoverDTS(XBRLDTSDocument parent)` This process MUST not use Schema Aware XPath expressions and MUST be limited to the elements that cause DTS Discovery.

  - ### Uses of XBRLDTSDocument in com.ihr.xbrl.om.taxonomy

    Classes in com.ihr.xbrl.om.taxonomy that implement XBRLDTSDocument
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XBRLTaxonomy` Provides the properties of an XBRL Taxonomy Information Item The [Parent] property is the parent class XBRLDocument.

    Methods in com.ihr.xbrl.om.taxonomy with parameters of type XBRLDTSDocument
    Modifier and Type | Method and Description
    --- | ---
    `void` | XBRLTaxonomy.`discoverDTS(XBRLDTSDocument parent)`

    Constructors in com.ihr.xbrl.om.taxonomy with parameters of type XBRLDTSDocument
    Constructor and Description
    `XBRLTaxonomy(DTSContainer dts, java.net.URI txBase, java.net.URI txUri, boolean bAddToCache, XBRLDTSDocument parent)` Creates a new XBRLTaxonomy instance.